package command;

import java.awt.Color;
import java.awt.Container;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * This class controls the operation of an automobile
 * @author hornick
 */
public class Car extends JFrame {
	JLabel status = new JLabel();
	/**
	 * @param args
	 */
	public Car(String title) {
		setTitle(title);
		setSize(200, 80);
		setLocation(100, 100);
		setResizable(false);
		setVisible(true);
		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);

		// Retrieves the window's contentPane and sets the background color
		Container contentPane = getContentPane();
		JPanel jp = new JPanel();
		contentPane.add(jp);
		
		jp.setBackground(Color.LIGHT_GRAY);

		status.setText("engine off");
		jp.add(status);
		contentPane.validate();
		contentPane.repaint();
	}
	
	/**
	 * Simulate the command that starts the engine
	 */
	public void startEngine() {
		status.setText("engine on");
	}

	/**
	 * Simulate the command that shuts the engine off
	 */
	public void stopEngine() {
		status.setText("engine off");
	}
	// Any number of other commands may be implemented here 
}
